Bug 426173 - (CVE-2007-6437) CVE-2007-6437 syslog-ng crash by message with invalid timestamp separator
CVE-2007-6437 syslog-ng crash by message with invalid timestamp separator
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://seclists.org/bugtraq/2007/Dec/...
impact=low,source=bugtraq,public=2007...
: Security
Depends On: 304121 426305 426306 426307
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-18 18:11 EST by Lubomir Kundrak
Modified: 2008-01-18 18:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 05:09:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-12-18 18:11:55 EST
From Secunia:

DESCRIPTION:
A vulnerability has been reported in syslog-ng, which can be
exploited by malicious people to cause a DoS (Denial of Service).

The vulnerability is caused due to the improper processing of
incoming timestamps. This can be exploited to trigger a NULL pointer
dereference via a specially crafted message containing a timestamp
without a terminating space character.

The vulnerability is reported in syslog-ng versions prior to 2.0.6

See URL for the original advisory and a patch.
http://seclists.org/bugtraq/2007/Dec/0202.html
http://git.balabit.hu/?p=bazsi/syslog-ng-2.0.git;a=commitdiff;h=3126ebad217e7fd6356f4733ca33f571aa87a170
Comment 1 Lubomir Kundrak 2007-12-18 18:13:13 EST
Bump 2.0.6 would also fix the issue.
Comment 2 Lubomir Kundrak 2007-12-18 18:15:07 EST
CVE ID was requested
Comment 3 Douglas E. Warner 2007-12-18 19:10:53 EST
I'm working on getting 2.0.6 built in rawhide right now.
Comment 5 Fedora Update System 2008-01-11 17:21:22 EST
syslog-ng-2.0.7-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update syslog-ng'
Comment 6 Fedora Update System 2008-01-11 17:25:04 EST
syslog-ng-2.0.7-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update syslog-ng'
Comment 7 Red Hat Product Security 2008-01-17 05:09:08 EST
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-0559
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-0523

Comment 8 Fedora Update System 2008-01-18 18:56:04 EST
syslog-ng-2.0.7-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-01-18 18:56:34 EST
syslog-ng-2.0.7-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.